CREATE TABLE paymentmethods (id INT PRIMARY KEY UNIQUE, title VARCHAR, cash INT);
CREATE TABLE barcodes (product_id INT, barcode VARCHAR UNIQUE);
CREATE TABLE changes (id INTEGER PRIMARY KEY AUTOINCREMENT UNIQUE, time_start INT, time_end INT);
CREATE TABLE productcategories (id INT PRIMARY KEY UNIQUE, parent_id INT, title VARCHAR, date_delete INT, date_update INT);
CREATE TABLE products (id INT PRIMARY KEY UNIQUE, code VARCHAR, title VARCHAR, short_title VARCHAR, category_id INT, stock DOUBLE, price DOUBLE, vat INT, vat_type INT, date_delete INT, date_update INT);
CREATE TABLE receipts (id INTEGER PRIMARY KEY AUTOINCREMENT UNIQUE, user_id INT, rm INT, store INT, changes INT, time DOUBLE, type INT, payment VARCHAR, sum DOUBLE, client VARCHAR, partner_id INT);
CREATE TABLE receiptlines (id INTEGER PRIMARY KEY AUTOINCREMENT UNIQUE, receipt_id INT, product_id INT, product_title VARCHAR, price DOUBLE, vat INT, vat_type INT, count DOUBLE, discount INT);
CREATE TABLE synchronization (time_start INT, time_update INT, tickets_update INT, users_update INT, partners_update INT, auto_sinch INT, method INT);
INSERT INTO synchronization (time_start, time_update, tickets_update, users_update, partners_update, auto_sinch, method) VALUES (0, 0, 0, 0, 0, 0, 0);
CREATE TABLE fr_settings (header TEXT, footer TEXT, url VARCHAR, pays_type VARCHAR, vat_type VARCHAR, sno VARCHAR, active INT, type INT);
INSERT INTO fr_settings (header, footer, url, pays_type, vat_type, sno, active, type) VALUES ('', 'feed;3;', 'http://127.0.0.1:8888/req', '{"1":"0","2":"1"}', '["0","1","2","3","4","5"]', '01', '1', '1');
CREATE TABLE usergroups (id INT PRIMARY KEY UNIQUE, title VARCHAR, module VARCHAR);
CREATE TABLE users (id INT PRIMARY KEY UNIQUE, name VARCHAR, short_name VARCHAR, group_id INT, pass VARCHAR, date_delete INT);
CREATE TABLE settings (name VARCHAR UNIQUE, value TEXT);
CREATE TABLE logs (id INTEGER PRIMARY KEY AUTOINCREMENT UNIQUE, txt TEXT, read INTEGER DEFAULT (0), time DOUBLE);
CREATE TABLE partners (card VARCHAR UNIQUE, partner_id INT, name VARCHAR, email VARCHAR, phone VARCHAR, discount INT, date_delete INT);
CREATE INDEX barcode ON barcodes (barcode);
CREATE INDEX product_id ON barcodes (product_id);
CREATE INDEX id_pay ON paymentmethods (id);
CREATE INDEX category_id ON products (category_id);
CREATE INDEX code ON products (code);
CREATE INDEX title ON products (title);
CREATE INDEX date_delete ON products (date_delete);
CREATE INDEX id_prod ON products (id);
CREATE INDEX date_delete_cat ON productcategories (date_delete);
CREATE INDEX parent_id ON productcategories (parent_id);
CREATE INDEX id ON productcategories (id);
CREATE INDEX date_delete_users ON users (date_delete);
CREATE INDEX id_users ON users (id);
CREATE INDEX id_usergroups ON usergroups (id);
CREATE INDEX line_product_id ON receiptlines (product_id);
CREATE INDEX line_receipt_id ON receiptlines (receipt_id);
CREATE INDEX receipt_id ON receipts (id);
CREATE INDEX receipt_type ON receipts (type);
CREATE INDEX receipt_time ON receipts (time);
CREATE INDEX change_id ON receipts (changes);